> ## Documentation Index
> Fetch the complete documentation index at: https://docs.rastro.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Append Activity Staged Changes

> Append staged changes to an existing activity.

This supports large one-command MCP updates by chunking staged changes across
multiple requests while keeping a single activity/review URL.



## OpenAPI

````yaml /api-reference/openapi.json post /public/activities/{activity_id}/staged-changes/append
openapi: 3.1.0
info:
  title: Rastro Public API
  description: >-
    Public API for enrichment, catalog management, workflows, activities,
    snapshots, taxonomy, and MCP integrations.
  version: 0.1.0
servers:
  - url: https://catalogapi.rastro.ai/api
security:
  - bearerAuth: []
paths:
  /public/activities/{activity_id}/staged-changes/append:
    post:
      tags:
        - Activities
      summary: Append Activity Staged Changes
      description: >-
        Append staged changes to an existing activity.


        This supports large one-command MCP updates by chunking staged changes
        across

        multiple requests while keeping a single activity/review URL.
      operationId: >-
        append_activity_staged_changes_api_public_activities__activity_id__staged_changes_append_post
      parameters:
        - name: activity_id
          in: path
          required: true
          schema:
            type: string
            title: Activity Id
        - name: X-Organization-Id
          in: header
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: X-Organization-Id
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/AppendStagedChangesRequest'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AppendStagedChangesResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - bearerAuth: []
components:
  schemas:
    AppendStagedChangesRequest:
      properties:
        staged_changes:
          items:
            $ref: '#/components/schemas/PublicStagedChangeInput'
          type: array
          title: Staged Changes
          description: Staged changes to append
      type: object
      title: AppendStagedChangesRequest
      description: Request to append staged changes to an existing activity.
    AppendStagedChangesResponse:
      properties:
        activity_id:
          type: string
          title: Activity Id
        appended_count:
          type: integer
          title: Appended Count
        total_staged_changes:
          type: integer
          title: Total Staged Changes
      type: object
      required:
        - activity_id
        - appended_count
        - total_staged_changes
      title: AppendStagedChangesResponse
      description: Response after appending staged changes to an activity.
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    PublicStagedChangeInput:
      properties:
        catalog_item_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Catalog Item Id
        catalog_item_entity_type:
          anyOf:
            - type: string
            - type: 'null'
          title: Catalog Item Entity Type
        before_data:
          anyOf:
            - additionalProperties: true
              type: object
            - type: 'null'
          title: Before Data
        after_data:
          additionalProperties: true
          type: object
          title: After Data
        source_data:
          anyOf:
            - additionalProperties: true
              type: object
            - type: 'null'
          title: Source Data
        is_new_item:
          type: boolean
          title: Is New Item
          default: false
        row_index:
          anyOf:
            - type: integer
            - type: 'null'
          title: Row Index
        status:
          anyOf:
            - $ref: >-
                #/components/schemas/app__models__staged_changes__StagedChangeStatus
            - type: 'null'
      type: object
      required:
        - after_data
      title: PublicStagedChangeInput
      description: Input for a single staged change in the public API
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
    app__models__staged_changes__StagedChangeStatus:
      type: string
      enum:
        - draft
        - pending
        - approved
        - rejected
        - partially_accepted
        - error
      title: StagedChangeStatus
      description: Status for individual staged changes
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: Rastro API key or user token

````